Retrieves all the article status list
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Optionally required : article_status_id required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| date_start_delivery |
Start delivery date |
date | |
| date_start |
Date start |
date | |
| date_end |
Date end |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "a95c8fef-8d11-4011-9019-61d30f38acd8",
"article_status_id": "32d0efc1-f57e-449a-b7af-feb43384504e",
"article_id": "6b0921dc-bf14-4209-be6d-8962b155f79c",
"article_code": "sample string 4",
"sales_organization_id": "f8d618aa-a701-490b-b04c-5aa4929e2112",
"date_start_delivery": "2026-05-04T16:58:39.7592738+00:00",
"date_start": "2026-05-04T16:58:39.7592738+00:00",
"date_end": "2026-05-04T16:58:39.7592738+00:00",
"modified_dateutc": "2026-05-04T16:58:39.7592738+00:00"
}